=== src/auxiliary-1.0.3.0/scripts/deb/debian/changelog ===
auxiliary-dkms (%VERSION HERE%) unstable; urgency=medium

  * Initial package.

 -- %NAME HERE% <%EMAIL HERE%>  %DATE HERE%
