=== src/auxiliary-1.0.3.0/scripts/deb/debian/control ===
################################################################################
#
# Driver for Xilinx network controllers and boards
# Copyright 2021 Xilinx Inc.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation, incorporated herein by reference.
#
################################################################################

Source: auxiliary-dkms
Maintainer: %NAME HERE% <%EMAIL HERE%>
Build-Depends: debhelper (>= 9), dkms

Package: auxiliary-dkms
Architecture: all
Depends: ${misc:Depends}
Description: DKMS source for the Auxiliary driver
